libgsm1-1.0.18-46.3.i586.rpm


Advertisement

Description

libgsm1 - GSM 06.10 Lossy Speech Compressor Library and Utilities

Property Value
Distribution openSUSE Tumbleweed
Repository Multimedia Libs all
Package filename libgsm1-1.0.18-46.3.i586.rpm
Package name libgsm1
Package version 1.0.18
Package release 46.3
Package architecture i586
Package type rpm
Category Productivity/Multimedia/Sound/Editors and Convertors
Homepage http://www.quut.com/gsm/
License ISC
Maintainer -
Download size 29.63 KB
Installed size 57.48 KB
Contains the library for a GSM speech compressor.
libgsm implements the European GSM 06.10 provisional standard for
full-rate speech transcoding, prI-ETS 300 036, which uses RPE/LTP
(residual pulse excitation/long term prediction) coding at 13 kbit/s.
GSM 06.10 compresses frames of 160 13-bit samples (8 kHz sampling
rate) into 260 bits.

Alternatives

Package Version Architecture Repository
libgsm1-1.0.18-46.3.x86_64.rpm 1.0.18 x86_64 Multimedia Libs
libgsm1-1.0.18-1.1.x86_64.rpm 1.0.18 x86_64 openSUSE Oss
libgsm1-1.0.18-1.1.i586.rpm 1.0.18 i586 openSUSE Oss
libgsm1 - - -

Requires

Name Value
/sbin/ldconfig -
libc.so.6(GLIBC_2.4) -

Provides

Name Value
libgsm.so.1 -
libgsm1 = 1.0.18-46.3
libgsm1(x86-32) = 1.0.18-46.3

Download

Type URL
Mirror widehat.opensuse.org
Binary Package libgsm1-1.0.18-46.3.i586.rpm
Source Package libgsm-1.0.18-46.3.src.rpm

Install Howto

  1. Add the Multimedia Libs repository:
    # zypper addrepo http://widehat.opensuse.org/opensuse/repositories/multimedia:/libs/openSUSE_Tumbleweed/ multimedia-libs
  2. Install libgsm1 rpm package:
    # zypper install libgsm1

Files

Path
/usr/lib/libgsm.so.1
/usr/lib/libgsm.so.1.0.18
/usr/share/doc/packages/libgsm1/ChangeLog
/usr/share/doc/packages/libgsm1/MACHINES
/usr/share/doc/packages/libgsm1/README
/usr/share/licenses/libgsm1/COPYRIGHT

Changelog

2019-02-23 - bjorn.lie@gmail.com
- Update to version 1.0.18
* Remove the MacOS "quarantine" files that I didn't know I'd
shipped.
* Remove some trailing spaces.
* Bump up the patchlevel in inc/gsm.h (I'd forgotten that in
release 17.)
- Changes from version 1.0.17
* New email addresses in the README.
* Avoid left-shifting signed integers.
* Don't print longwords using %d or %ld, cast them to (long)
first.
* Don't compare longwords as longs in addtest, we only care for
the lower 32 bits. (The math works, but the test failed).
- Changes from version 1.0.16
* New email addresses in the manual pages (patch 16).
* Removed a stray .orig file (in patch 15).
- Rebase libgsm-1.0.13.patch.
- Drop libgsm-strict-aliasing.patch: Applied upstream.
- Drop ancient Obsoletes/Provides.
2015-11-07 - jengelh@inai.de
- Make description more concise. SPARCstations are no longer a
meaningful metric.
2015-10-10 - p.drouand@gmail.com
- Update to version 1.0.14
* No changelog available
- Update libgsm-1.0.13.patch
- Use download Url as source
- Remove depreciated AUTHORS and clean sections
2013-08-20 - mardnh@gmx.de
- fix URL (see http://www.quut.com/gsm/)
2012-08-20 - cfarrell@suse.com
- license update: ISC
[#]License is more akin to ISC (see http://www.spdx.org/licenses/ISC) than
to BSD-3-Clause
2011-09-23 - meissner@suse.de
- remove libgsm-32bit from requires
2011-09-23 - meissner@suse.de
- add 32bit development headers for 32bit Wine on 64bit builds
2010-02-01 - jengelh@medozas.de
- package baselibs.conf
2009-08-10 - meissner@suse.de
- added baselibs.conf, libgsm is now used by wine
2009-08-06 - sbrabec@suse.cz
- Updated to version 1.0.13:
* cleaner wording of copyright

See Also

Package Description
libgsm1-32bit-1.0.18-46.3.x86_64.rpm GSM 06.10 Lossy Speech Compressor Library and Utilities
libgstadaptivedemux-1_0-0-1.14.4-257.1.i586.rpm GStreamer Streaming-Media Framework Plug-Ins
libgstadaptivedemux-1_0-0-1.14.4-257.1.x86_64.rpm GStreamer Streaming-Media Framework Plug-Ins
libgstadaptivedemux-1_0-0-32bit-1.14.4-257.1.x86_64.rpm GStreamer Streaming-Media Framework Plug-Ins
libgstallocators-1_0-0-1.14.4-122.1.i586.rpm GStreamer Streaming-Media Framework Plug-Ins
libgstallocators-1_0-0-1.14.4-122.1.x86_64.rpm GStreamer Streaming-Media Framework Plug-Ins
libgstallocators-1_0-0-32bit-1.14.4-122.1.x86_64.rpm GStreamer Streaming-Media Framework Plug-Ins
libgstapp-1_0-0-1.14.4-122.1.i586.rpm GStreamer Streaming-Media Framework Plug-Ins
libgstapp-1_0-0-1.14.4-122.1.x86_64.rpm GStreamer Streaming-Media Framework Plug-Ins
libgstapp-1_0-0-32bit-1.14.4-122.1.x86_64.rpm GStreamer Streaming-Media Framework Plug-Ins
libgstaudio-1_0-0-1.14.4-122.1.i586.rpm GStreamer Streaming-Media Framework Plug-Ins
libgstaudio-1_0-0-1.14.4-122.1.x86_64.rpm GStreamer Streaming-Media Framework Plug-Ins
libgstaudio-1_0-0-32bit-1.14.4-122.1.x86_64.rpm GStreamer Streaming-Media Framework Plug-Ins
libgstbadaudio-1_0-0-1.14.4-257.1.i586.rpm GStreamer Streaming-Media Framework Plug-Ins
libgstbadaudio-1_0-0-1.14.4-257.1.x86_64.rpm GStreamer Streaming-Media Framework Plug-Ins
Advertisement
Advertisement